=== debian/changelog ===
combine (3.4-4) sarge; urgency=low

  * New switch 'myconf' for combineINIT to append a local configuration
    file to the standard job-specific configuration
  * Improved error checking for MySQL connection
  * Workaround for mysterious MySQL user access bug
  * Moved AutoRecycleLinks from job_default.cfg to default.cfg

 -- Anders Ardo <anders@it.lth.se>  Wed,  8 Nov 2006 12:33:15 +0100

combine (3.4-3) sarge; urgency=low

  * Removed obsolete flag xwi->check_nofollow
  * Documentation updates
  * Removing obsolete files: DTDs and ValidateWP7
  * Added omit-xml-declaration="yes" to combine2dc.xsl

 -- Anders Ardo <anders@it.lth.se>  Fri,  3 Nov 2006 10:31:14 +0100

combine (3.4-2) sarge; urgency=low

  * Added external parsers for Excel, PowerPoint and RTF
  * Fixed bug that prevented RobotRules cache to be used
  * Moved setting of agent and from for UserAgent into
    UA::TruncatingUserAgent

 -- Anders Ardo <anders@it.lth.se>  Fri, 20 Oct 2006 09:08:08 +0200

combine (3.4-1) sarge; urgency=low

  * Added possibility to connect directly to a Zebra server

 -- Anders Ardo <anders@it.lth.se>  Sat, 14 Oct 2006 12:01:55 +0200

combine (3.3-2) sarge; urgency=low

  * Removed the (empty) combine-doc package. Documentation is included
    in the package combine.
  * Restructured XML export: moved basic XML generation from
    combineExport to XWI2XML.pm.
  * Implemented possibility to apply XSLT script on exported records
  * Added standard export XSLT scripts for alvis and dc
  * Now builds and includes doc in the source dist
  * Added module (Zebra.pm) and config var for direct connection the
    Zebra indexer
  * Fixed bug in UTF-8 handling for exported XML

 -- Anders Ardo <anders@it.lth.se>  Fri,  6 Oct 2006 12:02:45 +0200

combine (3.3-1) sarge; urgency=low

  * Implemented plugin modules for document classifications in focused mode
  * Added template for classify plugin

 -- Anders Ardo <anders@it.lth.se>  Sun,  1 Oct 2006 11:23:07 +0200

combine (3.2-2) sarge; urgency=low

  * Fixes and updates in PODs

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 27 Sep 2006 15:31:00 +0200

combine (3.2-1) sarge; urgency=low

  * Fixes to make it work with MySQL 5
  * Now suggests pdftohtml untex
  * Disabled 'word-2000' in tidy.cfg since it conflicts with 'bare'

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 22 Aug 2006 10:07:00 +0200

combine (3.1-4) sarge; urgency=low

  * Added possibility to use HTTP proxy (conf variable httpProxy)
     (thanks to Joost Zuurbier)
  * Added conf variable UserAgentFollowRedirects controlling
    how redirects are handled (thanks to Joost Zuurbier)
  * Changed combineExport to use Alvis::Pipeline directly
  * Moved conf-files from libcombine to combine package
  * Added conffiles file to debian/
  * Improved documentation

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 15 Jun 2006 09:38:00 +0200

combine (3.1-3) sarge; urgency=low

  * All binaries now without '-w' switch
  * Perl testsuite added in directory t
  * New configuration variable WaitIntervalHost
  * Some bug fixes
  * combineExport supports the action attribute to XML
    element documentRecord

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 2 Jun 2006 15:38:00 +0200

combine (3.1-2) sarge; urgency=low

  * combineExport now supports enhanced ALVIS XML format
  * new configuration var 'AutoRecycleLinks', default=1
    enables automatic recycling of new links
  * combineINIT takes new parameter --topic <file> 
    which enables focused mode using the given file
    as topicdefinition

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 24 Mar 2006 12:11:00 +0200

combine (3.1-1) sarge; urgency=low

  * New SQL doc
  * Bumped version to comply with conventions

 -- Anders Ardo <anders.ardo@it.lth.se>  Wed, 07 Mar 2006 15:37:00 +0200

combine (3.0.0-14) stable; urgency=low

  * Bug fixes in export

 -- Anders Ardo <anders.ardo@it.lth.se>  Wed, 01 Mar 2006 10:37:00 +0200

combine (3.0.0-13) stable; urgency=low

  * Efficiency improvement

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 13 Jan 2006 13:37:00 +0200

combine (3.0.0-12) stable; urgency=low

  * Added delete functionality to combineUtil
  * Added a few extensions for binary files to config-files

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 12 Jan 2006 10:37:00 +0200

combine (3.0.0-11) stable; urgency=low

  * Added combineUtil for database statistic, sanity and cleaning functionality
  * Changed Config to use include for additional configuration serveralias and exclude

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 03 Jan 2006 09:50:00 +0200

combine (3.0.0-10) stable; urgency=low

  * Added dependecy on libalvis-cannonical
  * Changed to use Alvis::Canonical

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 19 Dec 2005 15:24:00 +0200

combine (3.0.0-9) stable; urgency=low

  * Removed erronous quoting of '"' in exported XML-records

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 13 Dec 2005 13:38:00 +0200

combine (3.0.0-8) stable; urgency=low

  * Added handling of Alvis Pipeline exports
  * Added modifications for OAI including incremental exports

 -- Anders Ardo <anders.ardo@it.lth.se>  Sat, 10 Dec 2005 14:38:00 +0200

combine (3.0.0-7) stable; urgency=low

  * UTF-8 fixes
  * Updated Tidy.cfg

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 01 Dec 2005 08:58:00 +0200

combine (3.0.0-6) stable; urgency=low

  * Updates in documentation
  * Added DTD files to conf
  * Updated combineExport new switches - recordid, md5, validate

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 08 Nov 2005 14:39:00 +0200

combine (3.0.0-5) stable; urgency=low

  * Updates in documentation
  * Added some Topic definition files
  * combineINIT now creates empty files 'stopwords.txt'
  * combineINIT now sets permission on /var/run/combine/xxx

 -- Anders Ardo <anders.ardo@it.lth.se>  Mon, 07 Nov 2005 16:16:00 +0200

combine (3.0.0-4) stable; urgency=low

  * Added man pages

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 03 Nov 2005 13:11:00 +0200


